﻿using System.ServiceModel;
using Artech.EnterLibIntegration.WcfExtensions;
namespace Artech.WcfServices.Contracts
{    
    [ServiceContract(Namespace = "http://www.artech.com/")]
    public interface ICalculator
    {
        [OperationContract]
        [ExceptionHandlingBehavior("myExceptionPolicy")]
        [FaultContract(typeof(ServiceExceptionDetail), Action = "http://www.artech.com/fault")]
        int Divide(int x, int y);
    }   
}



